Bug 99368 - [UI] Dialog title for deleting sheet in Calc contains LO version
Summary: [UI] Dialog title for deleting sheet in Calc contains LO version
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Dialog
  Show dependency treegraph
 
Reported: 2016-04-18 09:32 UTC by Andrey Skvortsov
Modified: 2018-08-03 09:56 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Dialog with LO version in title (4.61 KB, image/jpeg)
2016-04-18 09:32 UTC, Andrey Skvortsov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Skvortsov 2016-04-18 09:32:29 UTC
Created attachment 124450 [details]
Dialog with LO version in title

Dialog title for deleting sheet in Calc contains LO version like "LibreOffice 5.1.2.1.0" (see attached screenshot). I think it would better contain more meaningful information (for example "Delete Sheet(s)") like Rename/Insert/Move/Copy dialogs.

To reproduce:
1. open LO Calc
2. create new spreadsheet
3. add second sheet to the document
4. delete the sheet.
5. Notice title of dialog window

Tested in LO 5.2.1-rc (amd64) from Debian Testing repo and in LO 5.0.3.2 (amd64) on Windows 7.
Comment 1 Adolfo Jayme 2016-04-18 13:56:00 UTC
This dialog is created in http://opengrok.libreoffice.org/xref/core/sc/source/ui/view/tabvwshf.cxx#596
Comment 2 QA Administrators 2017-05-22 13:22:44 UTC Comment hidden (obsolete)
Comment 3 Thomas Lendo 2017-07-21 21:15:35 UTC
Bug still exists in Version 5.4.0.2
Build-ID: 2b906d450a44f2bbe506dcd22c51b3fa11dc65fd
CPU-Threads: 4; Betriebssystem:Linux 4.8; UI-Render: Standard; VCL: gtk2; 
Gebietsschema: de-DE (de_DE.UTF-8); Calc: group
Comment 4 QA Administrators 2018-07-22 02:37:42 UTC Comment hidden (obsolete)
Comment 5 Andrey Skvortsov 2018-08-02 11:29:30 UTC
Debian Testing (Buster)
Version: 6.0.6.1
Build ID: 1:6.0.6~rc1-1
CPU threads: 8; OS: Linux 4.16; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc: group

The title is "Confirmation".
Comment 6 Xisco Faulí 2018-08-03 09:56:26 UTC
Thanks for retesting with the latest version.
Setting to RESOLVED WORKSFORME as the commit fixing this issue hasn't been identified.